using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFormulaTable {
        public BemsFormulaTable() {
            BemsFormulaTableValue = new HashSet<BemsFormulaTableValue>();
        }

        //성능분석식 테이블
        [Display(Name = "수식 테이블 고유번호"), Key]
        public int TableId { get; set; }
        [Display(Name = "테이블 명"), Required]
        [StringLength(20)]
        public string FunctionName { get; set; }
        [Display(Name = "상세 설명"), Required]
        [StringLength(80)]
        public string Description { get; set; }

        [InverseProperty("Table")]
        public virtual ICollection<BemsFormulaTableValue> BemsFormulaTableValue { get; set; }
    }
}
